<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

defined('SOBI_TESTS') || define('SOBI_TESTS', false);
defined('DS') || define('DS', DIRECTORY_SEPARATOR);

if (EXTLY_J3)
{
	defined('SOBI_CMS') || define('SOBI_CMS', 'joomla3');
}
elseif (version_compare(JVERSION, '1.6.0', 'ge'))
{
	defined('SOBI_CMS') || define('SOBI_CMS', 'joomla16');
}
else
{
	defined('SOBI_CMS') || define('SOBI_CMS', 'joomla15');
}

defined('SOBIPRO') || define('SOBIPRO', true);
defined('SOBI_TASK') || define('SOBI_TASK', 'task');

if (SOBI_CMS == 'joomla15')
{
	define('SOBI_DEFLANG', JFactory::getConfig()->getValue('config.language'));
}
else
{
	define('SOBI_DEFLANG', JFactory::getConfig()->get('language', JFactory::getConfig()->get('config.language')));
}

defined('SOBI_ACL') || define('SOBI_ACL', 'front');
defined('SOBI_ROOT') || define('SOBI_ROOT', JPATH_ROOT);
defined('SOBI_MEDIA') || define('SOBI_MEDIA', implode(DIRECTORY_SEPARATOR, array(JPATH_ROOT, 'media', 'sobipro')));
defined('SOBI_MEDIA_LIVE') || define('SOBI_MEDIA_LIVE', JUri::root() . '/media/sobipro');
defined('SOBI_PATH') || define('SOBI_PATH', SOBI_ROOT . '/components/com_sobipro');
defined('SOBI_LIVE_PATH') || define('SOBI_LIVE_PATH', 'components/com_sobipro');

require_once SOBI_PATH . '/lib/base/fs/loader.php';

SPLoader::loadController('interface');
SPLoader::loadClass('base.config');
SPLoader::loadClass('base.filter');
SPLoader::loadClass('base.request');
SPLoader::loadClass('base.factory');
SPLoader::loadClass('sobi');
SPLoader::loadClass('base.const');
SPLoader::loadClass('base.exception');
SPLoader::loadClass('base.object');
SPLoader::loadClass('cms.base.lang');
SPLoader::loadClass('env.browser');
SPLoader::loadClass('env.cookie');

// Try to catch direct file calls. Like /directory/piwik.php
// User increased for K2 compatibility
if (preg_match('/\.php$/', SPRequest::task()) || strlen(SPRequest::task()) > 128 )
{
	if (JError::$legacy)
	{
		JError::setErrorHandling(E_ERROR, 'die');

		return JError::raiseError(403, 'Unauthorized Access');
	}
	else
	{
		throw new Exception('Unauthorized Access');
	}
}

SobiproHelper::init();
$isMultimode = Sobi::Cfg('lang.multimode', false);

if ($isMultimode)
{
	$logger = XtdirLogger::getInstance();
	$logger->log(JLog::INFO, 'SP Multimode: ' . $isMultimode . '-' . SOBI_DEFLANG);
}
