<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

include_once 'extensions.php';

include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/sobipro_api.php';

/**
 * XtdirControllerPromoentriescfgs
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
*/
class XtdirControllerPromoentriescfgs extends XtdirControllerExtensions
{
	/**
	 * installPromoEntriesApp
	 *
	 * @return	void
	 */
	public function installPromoEntriesApp()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		SobiproHelper::installApp('/media/com_xtdir/apps/app_xtd_promotedentries.zip');
	}

	/**
	 * installPromoInformationApp
	 *
	 * @return	void
	 */
	public function installPromoInformationApp()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		SobiproHelper::installApp('/media/com_xtdir/apps/app_xtd_promoinformation.zip');
	}

	/**
	 * index.
	 *
	 * @return	void
	 */
	public function index()
	{
		// CSRF prevention
		if ($this->csrfProtection)
		{
			$this->_csrfProtection();
		}

		TreeIndexer::index(true);

		// Redirect
		if ($customURL = $this->input->get('returnurl', '', 'string'))
		{
			$customURL = base64_decode($customURL);
		}

		// ' . FOFInflector::pluralize($this->view)
		$url = !empty($customURL) ? $customURL : 'index.php?option=' . $this->component . '&view=objects';
		$this->setRedirect($url);
	}
}
