<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelFinalSectionPromoted
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelFinalSectionPromoted extends FOFModel
{
	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = $db->getQuery(true)->select('*')->from($db->quoteName('#__xtdir_final_sectionpromoted'));

		$fltEntryId = $this->getState('entry_id', null, 'int');

		if ($fltEntryId != '')
		{
			$query->where($db->qn('entry_id') . ' = ' . $db->q($fltEntryId));
		}

		$fltEntries = $this->getState('entries', null, 'string');

		if ($fltEntries != '')
		{
			$query->where($db->qn('entry_id') . ' IN (' . $fltEntries . ')');
		}

		$fltPromotypes = $this->getState('promotypes');

		if (is_array($fltPromotypes))
		{
			$fltPromotypes = array_map(create_function('$v', 'return "\'" . $v . "\'";'), $fltPromotypes);
			$query->where($db->qn('promotype_id') . ' in (' . implode(',', $fltPromotypes) . ')');
		}

		$order = $this->getState('filter_order', 'id', 'string');
		$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
		$query->order($order . ' ' . $dir);

		return $query;
	}
}
