<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelPlugins
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelPlugins extends FOFModel
{
	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = $db->getQuery(true)->select('*')->from($db->quoteName('#__sobipro_plugins'));

		$fltName = $this->getState('name', null, 'string');

		if ($fltName)
		{
			$fltName = "%$fltName%";
			$query->where($db->qn('name') . ' LIKE ' . $db->q($fltName));
		}

		$fltPid = $this->getState('pid', null, 'string');

		if ($fltPid)
		{
			$query->where($db->qn('pid') . ' = ' . $db->q($fltPid));
		}

		$fltType = $this->getState('type', null, 'string');

		if ($fltType)
		{
			$query->where($db->qn('type') . ' = ' . $db->q($fltType));
		}

		$fltEnabled = $this->getState('enabled', null, 'cmd');

		if ($fltEnabled != '')
		{
			$query->where($db->qn('enabled') . ' = ' . $db->q($fltEnabled));
		}

		$order = $this->getState('filter_order', 'pid', 'cmd');

		if (!in_array($order, array_keys($this->getTable()->getData())))
		{
			$order = 'pid';
		}

		$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
		$query->order($order . ' ' . $dir);

		return $query;
	}
}
