<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelPromoTypes
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelPromoTypes extends FOFModel
{
	const PROMOTYPES_SECTION = 'S';
	const PROMOTYPES_CATEGORY = 'C';
	const PROMOTYPES_ENTRY = 'E';
	const PROMOTYPES_NOTPROMOTED = 'N';

	/**
	 * Returns a list of items
	 *
	 * @param   boolean  $overrideLimits  Should I override set limits?
	 * @param   string   $group           The group by clause
	 *
	 * @return  array
	 */
	public function &getItemList($overrideLimits = false, $group = '')
	{
		$items = parent::getItemList($overrideLimits, $group);

		// Quick & Dirty - Entry type removal
		unset($items[1]);

		return $items;
	}

	/**
	 * isManual
	 *
	 * @param   int  $promotype_id  Param
	 *
	 * @return	bool
	 */
	public static function isManual($promotype_id)
	{
		return ($promotype_id == self::PROMOTYPES_ENTRY);
	}
}
