<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelRegistries
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelRegistries extends FOFModel
{
	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = $db->getQuery(true)->select('*')->from($db->quoteName('#__sobipro_registry'));

		$fltSection = $this->getState('section', null, 'string');

		if ($fltSection)
		{
			$query->where($db->qn('section') . ' = ' . $db->q($fltSection));
		}

		$fltKey = $this->getState('key', null, 'string');

		if ($fltKey)
		{
			$query->where($db->qn('key') . ' = ' . $db->q($fltKey));
		}

		return $query;
	}
}
