<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirModelTrees
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 * @since       1.0
*/
class XtdirModelTrees extends FOFModel
{
	/**
	 * buildQuery
	 *
	 * @param   bool  $overrideLimits  Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false)
	{
		$db = $this->getDbo();

		$query = $db->getQuery(true)
			->select('t.*')
			->from($db->quoteName('#__xtdir_trees', 't'))
			->from($db->quoteName('#__sobipro_object', 'e'))
			->from($db->quoteName('#__sobipro_object', 'c'))
			->from($db->quoteName('#__sobipro_object', 's'))
			->where('t.id = e.id')
			->where('t.parent = c.id')
			->where('t.section = s.id');

		$fltId = $this->getState('id', null, 'string');

		if ($fltId != '')
		{
			$query->where('( t.' . $db->qn('id') . ' = ' . $db->q($fltId) .
					' OR ' . 'e.' . $db->qn('name') . ' LIKE ' . $db->q('%' . $fltId . '%') . ')');
		}

		$fltParent = $this->getState('parent', null, 'string');

		if ($fltParent != '')
		{
			$query->where('( t.' . $db->qn('parent') . ' = ' . $db->q($fltParent) .
					' OR ' . 'c.' . $db->qn('name') . ' LIKE ' . $db->q('%' . $fltParent . '%') . ')');
		}

		$fltSection = $this->getState('section', null, 'string');

		if ($fltSection != '')
		{
			$query->where('( t.' . $db->qn('section') . ' = ' . $db->q($fltSection) .
					' OR ' . 's.' . $db->qn('name') . ' LIKE ' . $db->q('%' . $fltSection . '%') . ')');
		}

		$fltPath = $this->getState('path', null, 'cmd');

		if ($fltPath != '')
		{
			$query->where($db->qn('path') . ' LIKE ' . $db->q('%' . $fltPath . '%'));
		}

		$order = $this->getState('filter_order', 't.id', 'cmd');

		if (!in_array($order, array_keys($this->getTable()->getData())))
		{
			$order = 't.id';
		}

		$dir = $this->getState('filter_order_Dir', 'ASC', 'cmd');
		$query->order($order . ' ' . $dir);

		return $query;
	}
}
