DROP TABLE IF EXISTS `#__xtdir_lastrun`;
CREATE TABLE IF NOT EXISTS `#__xtdir_lastrun` (
	`lastrun` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
);
INSERT INTO `#__xtdir_lastrun` VALUES(now());

DROP TABLE IF EXISTS `#__xtdir_promotions`;
CREATE TABLE IF NOT EXISTS `#__xtdir_promotions` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64),
  `promotype_id` varchar(16) COMMENT '(S)ECTION, (C)ATEGORY, (E)NTRY',  
  `section_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  
  `tiertype_id` varchar(16) NOT NULL COMMENT '(M)ANUAL, (P)AID, (D)YNAMIC',
  
  `field_id` int(11) NULL COMMENT 'DYNAMIC CASE',
  `field_value` varchar(64) NULL COMMENT 'DYNAMIC CASE',
 
  `expiration` int(11) NOT NULL DEFAULT '0',
  `unit` varchar(16) COMMENT '(S)ECOND, (M)INUTE, (H)OUR, (D)AY, (W)EEK, (M)ONTH, (Y)EAR',
  
  `sorttype_id` varchar(16) NOT NULL DEFAULT 'M' COMMENT '(D)EFAULT, (R)ANDOM, (H)ITS, (M)ULTI-ARMED BANDIT, (C)USTOM',
  `sortfield_id` int(11) NULL COMMENT 'CUSTOM ORDER BY',
  
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '888888',
  `params` text NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',

  PRIMARY KEY  (`id`),
  UNIQUE KEY `section_category` (`section_id`, `category_id`, `tiertype_id`, `field_id` , `field_value`)
) DEFAULT CHARACTER SET utf8;
INSERT INTO `#__xtdir_promotions` (`section_id`, `category_id`, `name`, `promotype_id`, `tiertype_id`, `ordering`, `published`) 
SELECT `id`, 0, CONCAT(`name`, ' - Manual'), 'S', 'M', 888888, 1 
	FROM `#__sobipro_object` WHERE oType='section';

DROP TABLE IF EXISTS `#__xtdir_promoentries`;
CREATE TABLE IF NOT EXISTS `#__xtdir_promoentries` (
  `id` int(11) NOT NULL auto_increment,
  `entry_id` int(11) NOT NULL,

  `promoted_since` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `promoted_until` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '555555',
  `params` text NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',

  PRIMARY KEY  (`id`),  
  UNIQUE KEY `entry_id` (`entry_id`)
) DEFAULT CHARACTER SET utf8;

DROP TABLE IF EXISTS `#__xtdir_promoorders`;
CREATE TABLE IF NOT EXISTS `#__xtdir_promoorders` (
  `id` int(11) NOT NULL auto_increment,

  `entry_id` int(11) NOT NULL,
  `order_number`  varchar(32),
  `order_status` varchar(16) NOT NULL DEFAULT 'P' COMMENT '(P)ENDING, (C)ANCELLED, C(O)NFIRMED',
  `promoted_since` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `promoted_until` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  
  `payment_mode` varchar(16) DEFAULT 'M' COMMENT '(A)UTOMATICALLY, (M)ANUALLY',
  `payment_price` float(10,2) NOT NULL DEFAULT '0.00',
  `payment_currency` varchar(10),
  `payment_method` varchar(16) COMMENT '(PP) PAYPAL, (GCO) GOOGLE CHECKOUT, (2CO) 2CHECKOUT, (AUTHORIZE) AUTHORIZE.NET',
  `payment_serial_number` varchar(50),  
  `payment_from` varchar(20) NOT NULL DEFAULT 'system_register',
 	 
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `params` text NOT NULL DEFAULT '',

  PRIMARY KEY  (`id`),
  UNIQUE KEY `order_number` (`order_number`),
  KEY `entry_id` (`entry_id`)
) DEFAULT CHARACTER SET utf8;

DROP TABLE IF EXISTS `#__xtdir_trees`;
CREATE TABLE IF NOT EXISTS `#__xtdir_trees` (
  `id` int(11) NOT NULL,
  `parent` int(11) NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `path` varchar(1024) NOT NULL,
  `section` int(11) NOT NULL,
  `last_update` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  KEY (`id`),
  KEY `parent` (`parent`),
  KEY `lft` (`lft`),
  KEY `rgt` (`rgt`),
  KEY `path` (`path`(333))
);

DROP TABLE IF EXISTS `#__xtdir_orderstatuses`;
CREATE TABLE IF NOT EXISTS `#__xtdir_orderstatuses` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_orderstatuses` (`id`, `name`)	VALUES ('P', 'COM_XTDIR_ORDERSTATUSES_PENDING');
INSERT INTO `#__xtdir_orderstatuses` (`id`, `name`)	VALUES ('C', 'COM_XTDIR_ORDERSTATUSES_CANCELLED');
INSERT INTO `#__xtdir_orderstatuses` (`id`, `name`)	VALUES ('O', 'COM_XTDIR_ORDERSTATUSES_CONFIRMED');

DROP TABLE IF EXISTS `#__xtdir_paymentcurrencies`;
CREATE TABLE IF NOT EXISTS `#__xtdir_paymentcurrencies` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AED', 'United Arab Emirates Dirham');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AFN', 'Afghanistan Afghani');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ALL', 'Albania Lek');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AMD', 'Armenia Dram');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ANG', 'Netherlands Antilles Guilder');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AOA', 'Angola Kwanza');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ARS', 'Argentina Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AUD', 'Australia Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AWG', 'Aruba Guilder');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('AZN', 'Azerbaijan New Manat');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BAM', 'Bosnia and Herzegovina Convertible Marka');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BBD', 'Barbados Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BDT', 'Bangladesh Taka');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BGN', 'Bulgaria Lev');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BHD', 'Bahrain Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BIF', 'Burundi Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BMD', 'Bermuda Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BND', 'Brunei Darussalam Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BOB', 'Bolivia Boliviano');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BRL', 'Brazil Real');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BSD', 'Bahamas Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BTN', 'Bhutan Ngultrum');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BWP', 'Botswana Pula');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BYR', 'Belarus Ruble');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('BZD', 'Belize Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CAD', 'Canada Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CDF', 'Congo/Kinshasa Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CHF', 'Switzerland Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CLP', 'Chile Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CNY', 'China Yuan Renminbi');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('COP', 'Colombia Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CRC', 'Costa Rica Colon');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CUC', 'Cuba Convertible Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CUP', 'Cuba Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CVE', 'Cape Verde Escudo');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('CZK', 'Czech Republic Koruna');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('DJF', 'Djibouti Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('DKK', 'Denmark Krone');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('DOP', 'Dominican Republic Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('DZD', 'Algeria Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('EGP', 'Egypt Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ERN', 'Eritrea Nakfa');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ETB', 'Ethiopia Birr');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('EUR', 'Euro Member Countries');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('FJD', 'Fiji Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('FKP', 'Falkland Islands (Malvinas) Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GBP', 'United Kingdom Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GEL', 'Georgia Lari');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GGP', 'Guernsey Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GHS', 'Ghana Cedi');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GIP', 'Gibraltar Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GMD', 'Gambia Dalasi');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GNF', 'Guinea Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GTQ', 'Guatemala Quetzal');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('GYD', 'Guyana Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('HKD', 'Hong Kong Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('HNL', 'Honduras Lempira');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('HRK', 'Croatia Kuna');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('HTG', 'Haiti Gourde');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('HUF', 'Hungary Forint');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('IDR', 'Indonesia Rupiah');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ILS', 'Israel Shekel');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('IMP', 'Isle of Man Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('INR', 'India Rupee');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('IQD', 'Iraq Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('IRR', 'Iran Rial');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ISK', 'Iceland Krona');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('JEP', 'Jersey Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('JMD', 'Jamaica Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('JOD', 'Jordan Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('JPY', 'Japan Yen');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KES', 'Kenya Shilling');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KGS', 'Kyrgyzstan Som');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KHR', 'Cambodia Riel');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KMF', 'Comoros Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KPW', 'Korea (North) Won');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KRW', 'Korea (South) Won');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KWD', 'Kuwait Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KYD', 'Cayman Islands Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('KZT', 'Kazakhstan Tenge');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LAK', 'Laos Kip');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LBP', 'Lebanon Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LKR', 'Sri Lanka Rupee');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LRD', 'Liberia Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LSL', 'Lesotho Loti');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LTL', 'Lithuania Litas');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LVL', 'Latvia Lat');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('LYD', 'Libya Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MAD', 'Morocco Dirham');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MDL', 'Moldova Leu');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MGA', 'Madagascar Ariary');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MKD', 'Macedonia Denar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MMK', 'Myanmar (Burma) Kyat');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MNT', 'Mongolia Tughrik');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MOP', 'Macau Pataca');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MRO', 'Mauritania Ouguiya');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MUR', 'Mauritius Rupee');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MVR', 'Maldives (Maldive Islands) Rufiyaa');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MWK', 'Malawi Kwacha');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MXN', 'Mexico Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MYR', 'Malaysia Ringgit');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('MZN', 'Mozambique Metical');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('NAD', 'Namibia Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('NGN', 'Nigeria Naira');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('NIO', 'Nicaragua Cordoba');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('NOK', 'Norway Krone');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('NPR', 'Nepal Rupee');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('NZD', 'New Zealand Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('OMR', 'Oman Rial');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PAB', 'Panama Balboa');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PEN', 'Peru Nuevo Sol');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PGK', 'Papua New Guinea Kina');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PHP', 'Philippines Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PKR', 'Pakistan Rupee');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PLN', 'Poland Zloty');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('PYG', 'Paraguay Guarani');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('QAR', 'Qatar Riyal');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('RON', 'Romania New Leu');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('RSD', 'Serbia Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('RUB', 'Russia Ruble');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('RWF', 'Rwanda Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SAR', 'Saudi Arabia Riyal');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SBD', 'Solomon Islands Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SCR', 'Seychelles Rupee');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SDG', 'Sudan Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SEK', 'Sweden Krona');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SGD', 'Singapore Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SHP', 'Saint Helena Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SLL', 'Sierra Leone Leone');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SOS', 'Somalia Shilling');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SPL*', 'Seborga Luigino');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SRD', 'Suriname Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('STD', 'São Tomé and Príncipe Dobra');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SVC', 'El Salvador Colon');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SYP', 'Syria Pound');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('SZL', 'Swaziland Lilangeni');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('THB', 'Thailand Baht');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TJS', 'Tajikistan Somoni');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TMT', 'Turkmenistan Manat');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TND', 'Tunisia Dinar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TOP', 'Tonga Pa\'anga');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TRY', 'Turkey Lira');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TTD', 'Trinidad and Tobago Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TVD', 'Tuvalu Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TWD', 'Taiwan New Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('TZS', 'Tanzania Shilling');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('UAH', 'Ukraine Hryvna');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('UGX', 'Uganda Shilling');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('USD', 'United States Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('UYU', 'Uruguay Peso');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('UZS', 'Uzbekistan Som');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('VEF', 'Venezuela Bolivar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('VND', 'Viet Nam Dong');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('VUV', 'Vanuatu Vatu');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('WST', 'Samoa Tala');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('XAF', 'Communauté Financière Africaine (BEAC) CFA Franc BEAC');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('XCD', 'East Caribbean Dollar');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('XDR', 'International Monetary Fund (IMF) Special Drawing Rights');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('XOF', 'Communauté Financière Africaine (BCEAO) Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('XPF', 'Comptoirs Français du Pacifique (CFP) Franc');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('YER', 'Yemen Rial');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ZAR', 'South Africa Rand');
INSERT INTO `#__xtdir_paymentcurrencies` (`id`, `name`) VALUES ('ZMW', 'Zambia Kwacha');

DROP TABLE IF EXISTS `#__xtdir_paymentmethods`;
CREATE TABLE IF NOT EXISTS `#__xtdir_paymentmethods` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_paymentmethods` (`id`, `name`) VALUES ('PP', 'COM_XTDIR_PAYMENTMETHODS_PAYPAL');
INSERT INTO `#__xtdir_paymentmethods` (`id`, `name`) VALUES ('GCO', 'COM_XTDIR_PAYMENTMETHODS_GOOGLE_CHECKOUT');
INSERT INTO `#__xtdir_paymentmethods` (`id`, `name`) VALUES ('2CO', 'COM_XTDIR_PAYMENTMETHODS_2CHECKOUT');
INSERT INTO `#__xtdir_paymentmethods` (`id`, `name`) VALUES ('AUTHORIZE', 'COM_XTDIR_PAYMENTMETHODS_AUTHORIZE_NET');


DROP TABLE IF EXISTS `#__xtdir_paymentmodes`;
CREATE TABLE IF NOT EXISTS `#__xtdir_paymentmodes` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_paymentmodes` (`id`, `name`) VALUES ('A', 'COM_XTDIR_PAYMENTMODES_AUTOMATICALLY');
INSERT INTO `#__xtdir_paymentmodes` (`id`, `name`) VALUES ('M', 'COM_XTDIR_PAYMENTMODES_MANUALLY');
	

DROP TABLE IF EXISTS `#__xtdir_promotypes`;
CREATE TABLE IF NOT EXISTS `#__xtdir_promotypes` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_promotypes` (`id`, `name`) VALUES ('S', 'COM_XTDIR_PROMOTYPES_SECTION');
INSERT INTO `#__xtdir_promotypes` (`id`, `name`) VALUES ('C', 'COM_XTDIR_PROMOTYPES_CATEGORY');
INSERT INTO `#__xtdir_promotypes` (`id`, `name`) VALUES ('E', 'COM_XTDIR_PROMOTYPES_ENTRY');

	
DROP TABLE IF EXISTS `#__xtdir_tiertypes`;
CREATE TABLE IF NOT EXISTS `#__xtdir_tiertypes` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_tiertypes` (`id`, `name`)	VALUES ('M', 'COM_XTDIR_TIERTYPES_MANUAL');
INSERT INTO `#__xtdir_tiertypes` (`id`, `name`)	VALUES ('P', 'COM_XTDIR_TIERTYPES_PAID');
INSERT INTO `#__xtdir_tiertypes` (`id`, `name`)	VALUES ('D', 'COM_XTDIR_TIERTYPES_DYNAMIC');


DROP TABLE IF EXISTS `#__xtdir_sorttypes`;
CREATE TABLE IF NOT EXISTS `#__xtdir_sorttypes` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `#__xtdir_sorttypes` (`id`, `name`)	VALUES ('D', 'COM_XTDIR_SORTTYPES_DEFAULT');
-- INSERT INTO `#__xtdir_sorttypes` (`id`, `name`)	VALUES ('R', 'COM_XTDIR_SORTTYPES_RANDOM');
-- INSERT INTO `#__xtdir_sorttypes` (`id`, `name`)	VALUES ('H', 'COM_XTDIR_SORTTYPES_HITS');
INSERT INTO `#__xtdir_sorttypes` (`id`, `name`)	VALUES ('M', 'COM_XTDIR_SORTTYPES_MULTI_ARMED_BANDIT');
-- INSERT INTO `#__xtdir_sorttypes` (`id`, `name`)	VALUES ('C', 'COM_XTDIR_SORTTYPES_CUSTOM');		


DROP TABLE IF EXISTS `#__xtdir_units`;
CREATE TABLE IF NOT EXISTS `#__xtdir_units` (
  `id` varchar(16) NOT NULL,
  `name` varchar(64),
  
   PRIMARY KEY  (`id`)
) DEFAULT CHARACTER SET utf8;


-- INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('S', 'COM_XTDIR_UNITS_SECOND');	
-- INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('I', 'COM_XTDIR_UNITS_MINUTE');
-- INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('H', 'COM_XTDIR_UNITS_HOUR');
-- INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('W', 'COM_XTDIR_UNITS_WEEK');
INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('D', 'COM_XTDIR_UNITS_DAY');
INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('M', 'COM_XTDIR_UNITS_MONTH');
INSERT INTO `#__xtdir_units` (`id`, `name`)	VALUES ('Y', 'COM_XTDIR_UNITS_YEAR');


DROP TABLE IF EXISTS `#__xtdir_final_categorypromoted`; 
CREATE TABLE IF NOT EXISTS `#__xtdir_final_categorypromoted` (
  `id` int(11) NOT NULL auto_increment,
  `section_id`  int(11) NOT NULL,
  `category_id`  int(11) NOT NULL,
  `entry_id`  int(11) NOT NULL,
  `ordering`  int(11) NOT NULL,
  `promotype_id` varchar(16) COMMENT '(S)ECTION, (C)ATEGORY, (E)NTRY',
  `tiertype_id` varchar(16) NOT NULL COMMENT '(M)ANUAL, (P)AID, (D)YNAMIC',
  `counter` int(11) NOT NULL,
  `promoentry_id` int(11),
  `promoorder_id` int(11),
    		
  PRIMARY KEY  (`id`),
  KEY `section_entry` (`section_id`, `entry_id`),
  KEY `category_entry` (`category_id`, `entry_id`),
  KEY `entry_id` (`entry_id`)
) DEFAULT CHARACTER SET utf8;

DROP TABLE IF EXISTS `#__xtdir_final_sectionpromoted`;
CREATE TABLE IF NOT EXISTS `#__xtdir_final_sectionpromoted` (
  `id` int(11) NOT NULL auto_increment,
  `entry_id`  int(11) NOT NULL,
  `promotype_id` varchar(16) NOT NULL COMMENT '(S)ECTION, (C)ATEGORY, (E)NTRY',
  `tiertype_id` varchar(16) NOT NULL COMMENT '(M)ANUAL, (P)AID, (D)YNAMIC',
  `counter` int(11) NOT NULL,
  `ordering`  int(11) NOT NULL DEFAULT '0',
  `promoentry_id`  int(11),
  `promoorder_id` int(11),
  		
  PRIMARY KEY  (`id`),
  UNIQUE KEY `entry_id` (`entry_id`)
) DEFAULT CHARACTER SET utf8;


DROP TABLE IF EXISTS `#__xtdir_totals`;
CREATE TABLE IF NOT EXISTS `#__xtdir_totals` (
  `id` int(11) NOT NULL auto_increment,
  `section_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,  
  `category_name` varchar(250),
  `total` int(11) NOT NULL,
  		
  PRIMARY KEY  (`id`),
  KEY `category_id` (`category_id`)
) DEFAULT CHARACTER SET utf8;

DROP VIEW IF EXISTS `#__xtdir_promocategories_paid_view`;
DROP VIEW IF EXISTS `#__xtdir_promocategories_dynamic_view`;
DROP VIEW IF EXISTS `#__xtdir_promocategories_manual_view`;
DROP VIEW IF EXISTS `#__xtdir_promosection_paid_view`;
DROP VIEW IF EXISTS `#__xtdir_promosection_dynamic_view`;
DROP VIEW IF EXISTS `#__xtdir_promosection_manual_view`;
DROP VIEW IF EXISTS `#__xtdir_final_categorypromoted_view`;
DROP VIEW IF EXISTS `#__xtdir_final_sectionpromoted_view`;
