<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->set('com_xtdir', EExtensionHelper::getComponentId('com_xtdir'));
$this->set('xtdpaypal', EExtensionHelper::getExtensionId('xtdpayment', 'xtdpaypal'));

$this->set('xtdir', EExtensionHelper::getExtensionId('system', 'xtdir'));
$this->set('xtdirsobipro', EExtensionHelper::getExtensionId('search', 'xtdirsobipro'));
$this->set('xtdsmartsearch', EExtensionHelper::getExtensionId('finder', 'xtdsmartsearch'));
$this->set('xtdsobipromyentries', EExtensionHelper::getExtensionId('community', 'xtdsobipromyentries'));

$com_xtdir = $this->get('com_xtdir');
$system = $this->get('xtdir');
$search = $this->get('xtdirsobipro');
$finder = $this->get('xtdsmartsearch');
$community = $this->get('xtdsobipromyentries');

?>
			<div class="row-fluid">
				<div class="span2">
				<?php
					$icon = UtilHelper::getIconView($this->view);
					echo "<h2><i class=\"{$icon}\"></i></h2>";
				?>

				</div>

				<div class="span10">

					<div class="pull-right">

					    <div class="btn-toolbar">

							<?php
							if (XTDIR_PROMOTED_ENTRIES)
							{
							?>
							<div class="btn-group">
								<button data-toggle="dropdown" class="btn dropdown-toggle">
									<i class="xticon xticon-arrow-up"></i> <?php echo JText::_('COM_XTDIR_TITLE_PROMOENTRIES'); ?> <span class="caret"></span>
								</button>
								<ul class="dropdown-menu">

									<li><a href="index.php?option=com_xtdir&view=objects">
										<i class="<?php echo UtilHelper::getIconView('objects'); ?>"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_OBJECTS'); ?>
									</a></li>

									<li><a href="index.php?option=com_xtdir&view=promoorders">
										<i class="<?php echo UtilHelper::getIconView('promoorders'); ?>"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_PROMOORDERS'); ?>
									</a></li>

									<?php
									if ($this->get('com_xtdir'))
									{
									?>
									<li class="divider"></li>
									<li><a href="index.php?option=com_xtdir&view=promoentriescfgs&task=edit&id=<?php
											echo $com_xtdir;
										?>"><i class="<?php echo UtilHelper::getIconView('promoentriescfgs'); ?>"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_CONFIGURATION'); ?>
									</a></li>
									<?php
									}
									?>

									<li><a href="index.php?option=com_xtdir&view=promotions">
										<i class="xticon xticon-th-list"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_PROMOTIONS'); ?>
									</a></li>

									<li><a href="index.php?option=com_xtdir&view=ipncfgs&task=edit&id=<?php
											echo $this->get('xtdpaypal');
										?>"><i class="<?php echo UtilHelper::getIconView('ipncfgs'); ?>"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_IPNCONFIGURATION'); ?>
									</a></li>
								</ul>
							</div>
							&nbsp;

							<?php
							}
							else
							{
							?>
							<a class="btn" href="index.php?option=com_xtdir&view=objects">
										<i class="<?php echo UtilHelper::getIconView('objects'); ?>"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_OBJECTS'); ?>
									</a>
							<?php
							}
							?>
							&nbsp;

							<?php

							// JomSocial
							if (XTDIR_BUSINESS_PAGES)
							{
							?>
							<div class="btn-group">
								<a class="btn" href="index.php?option=com_xtdir&view=pagescfgs&task=edit&id=<?php
										echo $community;
									?>"><i class="<?php echo UtilHelper::getIconView('pagescfgs'); ?>"></i> <?php
										echo JText::_('COM_XTDIR_TITLE_BUSINESS_PAGES');

										if (XTDIR_BUSINESS_PAGES_ES)
										{
											echo ' JS';
										}

										?>
								</a>
							</div>
							&nbsp;
							<?php
							}

							// EasySocial
							if (XTDIR_BUSINESS_PAGES_ES)
							{
							?>
							<div class="btn-group">
								<a class="btn" href="index.php?option=com_xtdir&view=pagesescfgs&task=browse"><i class="<?php echo UtilHelper::getIconView('pagescfgs'); ?>"></i> <?php
										echo JText::_('COM_XTDIR_TITLE_BUSINESS_PAGES');

										if (XTDIR_BUSINESS_PAGES)
										{
											echo ' ES';
										}

										?>
								</a>
							</div>
							&nbsp;
							<?php
							}

							?>

							<?php
								if (($system) || ($search) || ($finder))
								{
							?>
							<div class="btn-group">
								<button data-toggle="dropdown" class="btn dropdown-toggle">
									<i class="xticon xticon-wrench"></i> <?php echo JText::_('COM_XTDIR_TITLE_CONFIGURATION'); ?> <span class="caret"></span>
								</button>
								<ul class="dropdown-menu">
									<?php

									if ($system)
									{
									?>
									<li>
										<a href="index.php?option=com_xtdir&view=systems&task=edit&id=<?php
											echo $system;
										?>"><i class="<?php echo UtilHelper::getIconView('systems'); ?>"></i> <?php
											echo JText::_('COM_XTDIR_TITLE_SYSTEMS_EDIT'); ?></a>
									</li>
									<?php
									}

									if ($search)
									{
									?>
									<li><a href="index.php?option=com_xtdir&view=searchs&task=edit&id=<?php
											echo $search;
										?>"><i class="<?php echo UtilHelper::getIconView('searchs'); ?>"></i>  <?php
											echo JText::_('COM_XTDIR_TITLE_SEARCHES_EDIT'); ?></a>
									</li>
									<?php
									}

									if ($finder)
									{
									?>
									<li><a href="index.php?option=com_xtdir&view=finders&task=edit&id=<?php
											echo $finder;
										?>"><i class="<?php echo UtilHelper::getIconView('finders'); ?>"></i>  <?php
											echo JText::_('COM_XTDIR_TITLE_FINDERS_EDIT'); ?></a>
									</li>
									<?php
									}
									?>
								</ul>
							</div>
							&nbsp;
							<?php
								}
							?>

							<a href="index.php?option=com_xtdir&amp;view=cpanels" class="btn">
								<i class="<?php echo UtilHelper::getIconView('cpanels'); ?>"></i>  <?php
											echo JText::_('COM_XTDIR_TITLE_CPANELS'); ?></a>

						</div>
					</div>
				</div>
			</div>

<?php

	if (!SobiproHelper::isSobiPro11())
	{
		echo '<div class="row-fluid"><div class="span12">';
		echo JText::_('COM_XTDIR_COMPATIBILITY_NOTICE');
		echo '</div></div>';
	}
