<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
$this->loadHelper('control');

JHtml::_('behavior.formvalidation');

$config = JFactory::getConfig();

$caching = $config->get('caching');
$caching_label = $caching ? 'JENABLED' : 'JDISABLED';

if ($caching)
{
	$caching_class = 'label-success';
}
else
{
	$caching_class = 'label-warning';
}

$cachetime = $config->get('cachetime');

$lang = JFactory::getLanguage();
$option = 'com_config';
$lang->load($option, JPATH_BASE, null, false, false)
||	$lang->load($option, JPATH_BASE . "/components/$option", null, false, false)
||	$lang->load($option, JPATH_BASE, $lang->getDefault(), false, false)
||	$lang->load($option, JPATH_BASE . "/components/$option", $lang->getDefault(), false, false);

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>
		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal">

			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="finders" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl" value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">
				<div class="span12">
					<legend>
						<?php echo JText::_('COM_XTDIR_TITLE_FINDERS_EDIT'); ?>
					</legend>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span12">
					<fieldset class="all_fields">

<?php
					echo '<div class="row-fluid"><div class="span6">';

					echo EHtmlSelect::booleanListControl(
							$this->item->enabled,
							'enabled', 'JSTATUS',
							'JSTATUS_DESC',
							'JPUBLISHED',
							'JUNPUBLISHED');

					echo EHtml::requiredTextControl(
							$this->item->xtform->get('index_limit', 100),
							'xtform[index_limit]',
							'COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_LABEL',
							'COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_DESC');

					echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_NOTE');

					echo EHtmlSelect::yesNoControl(
							$this->item->xtform->get('cronjob_mode', 1),
							'xtform[cronjob_mode]',
							'COM_XTDIR_VIEW_SYSTEM_CRONJOBMODE_LABEL',
							'COM_XTDIR_VIEW_SYSTEM_CRONJOBMODE_MODE_DESC');

					echo EHtml::idControl(
							$this->item->extension_id,
							'extension_id');
?>
					<legend>
						<a href="../media/com_xtdir/apps/app_xtd_xtdirnotifications.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_FINDER_APP'); ?>
					</legend>

<?php
					echo SobiproHelper::spAppInstallControl(
						'xtdirnotifications',
						'index.php?option=com_xtdir&view=finders&task=installFinderApp&_token=' . JFactory::getSession()->getFormToken(),
						'media/com_xtdir/apps/app_xtd_xtdirnotifications.zip'
					);
?>

					<div class="row-fluid">
						<div class="span12">
							<hr>

							<div class="well">

								<div class="alert"><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_INFORMATION'); ?></div>

								<legend><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEX'); ?></legend>

								<dl class="dl-horizontal">
									<dt><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEX_STATS'); ?></dt>
									<dd><?php
									echo number_format($this->total);
									?></dd>

									<?php
									if ($this->total)
									{
									?>
									<dt><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_LAST_UPDATE'); ?></dt>
									<dd><?php echo $this->last_update; ?> min</dd>
									<?php
									}
									?>
								</dl>


								<legend><?php echo JText::_('COM_CONFIG_CACHE_SETTINGS'); ?></legend>

								<dl class="dl-horizontal">
									<dt><?php echo JText::_('COM_CONFIG_FIELD_CACHE_LABEL'); ?></dt>
									<dd><span class="label <?php
									echo $caching_class;
									?>"><?php
									echo JText::_($caching_label);
									?></span></dd>

									<dt><?php echo JText::_('COM_CONFIG_FIELD_CACHE_TIME_LABEL'); ?></dt>
									<dd><?php echo JText::_($cachetime); ?> min</dd>
								</dl>

							</div>

						</div>
					</div>

<?php
					echo '</div>';
					echo '<div class="span5">';

					include_once JPATH_XTDIR . '/views/system/tmpl/sectionlist.php';
					include_once JPATH_XTDIR . '/views/search/tmpl/search_fields.php';
					echo '</div></div>';
?>

					</fieldset>
				</div>

			</div>
		</form>
	</div>
</div>
