<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * XtdirViewPagesCfg
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XtdirViewPagesCfg extends FOFViewHtml
{
	/**
	 * onAdd.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function onAdd($tpl = null)
	{
		Extly::loadAwesome();

		$file = EHtml::getRelativeFile('js', 'com_xtdir/pagescfg.min.js');

		if ($file)
		{
			$dependencies = array();

			if (EXTLY_J25)
			{
				$dependencies['ajaxbutton'] = array('jquery1102');
			}

			$paths = array(
							'ajaxbutton' => 'media/lib_extly/js/utils/jquery.xtajaxbutton.min',
							'installapp' => 'media/com_xtdir/js/installapp.min'
			);
			$dependencies['pagescfg'] = array('extlycore', 'installapp');
			$dependencies['installapp'] = array('extlycore', 'underscore');

			Extly::initApp(CXTDIR_VERSION, $file, $dependencies, $paths);
		}

		return parent::onAdd($tpl);
	}
}
