<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
JHtml::_('behavior.formvalidation');

include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/sobipro_api.php';

?>
<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="promoorders" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">

				<div class="span6">

					<fieldset class="basic">

						<legend><?php echo JText::_('COM_XTDIR_VIEW_PROMOORDER_OPTIONS_TITLE'); ?></legend>

					<?php

						echo EHtml::requiredTextControl($this->item->entry_id, 'entry_id', 'COM_XTDIR_VIEW_PROMOORDER_ENTRY_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_ENTRY_DESC');

						if ((isset($this->item->entry_id)) && ($this->item->entry_id > 0))
						{
							$entry = SobiproHelper::loadAndExtend($this->item->entry_id);
							$control = SobiproHelper::shownEntryName($entry);
							echo EHtml::genericControl(null, null, null, $control);
						}

						echo EHtml::requiredTextControl($this->item->order_number, 'order_number', 'COM_XTDIR_VIEW_PROMOORDER_ORDERNUMBER_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_ORDERNUMBER_DESC');

						$control = EHtmlSelect::selectTypename(
								'Orderstatuses',
								'XtdirModel',
								$this->item->order_status,
								'order_status',
								array('class' => 'required', 'required' => 'required')
						);
						echo EHtml::genericControl('COM_XTDIR_VIEW_PROMOORDER_ORDERSTATUS_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_ORDERSTATUS_DESC', 'order_status', $control);

						$control = EHtmlSelect::selectTypename(
								'Paymentmodes',
								'XtdirModel',
								$this->item->payment_mode,
								'payment_mode',
								array('class' => 'required', 'required' => 'required')
						);
						echo EHtml::genericControl('COM_XTDIR_VIEW_PROMOORDER_PAYMENTMODE_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTMODE_DESC', 'payment_mode', $control);

						echo EHtml::calendarControl($this->item->promoted_since, 'promoted_since', 'COM_XTDIR_VIEW_PROMOORDER_PROMOSINCE_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_PROMOSINCE_DESC', null, 'COM_XTDIR_DATE_FORMAT');
						echo EHtml::calendarControl(
								($this->item->promoted_until == 0 ? null : $this->item->promoted_until),
								'promoted_until',
								'COM_XTDIR_VIEW_PROMOORDER_PROMOUNTIL_TITLE',
								'COM_XTDIR_VIEW_PROMOORDER_PROMOUNTIL_DESC',
								null,
								'COM_XTDIR_DATE_FORMAT');
						echo EHtml::idControl($this->item->id, 'id');
					?>

					</fieldset>

				</div>

				<div class="span6 section-actions">

					<div class="well">

						<legend><?php echo JText::_('COM_XTDIR_VIEW_PROMOORDER_PAYMENT_LEGEND'); ?></legend>

						<fieldset class="payment">

					<?php

						echo EHtml::textControl($this->item->payment_price, 'payment_price', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTPRICE_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTPRICE_TITLE');

						$control = EHtmlSelect::selectTypename(
										'Paymentcurrencies',
										'XtdirModel',
										$this->item->payment_currency,
										'payment_currency'
									);
						echo EHtml::genericControl('COM_XTDIR_VIEW_PROMOORDER_PAYMENTCURRENCY_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTCURRENCY_DESC', 'payment_currency', $control);

						$control = EHtmlSelect::selectTypename(
								'Paymentmethods',
								'XtdirModel',
								$this->item->payment_method,
								'payment_method'
						);
						echo EHtml::genericControl('COM_XTDIR_VIEW_PROMOORDER_PAYMENTMETHOD_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTMETHOD_DESC', 'payment_method', $control);

						echo EHtml::textControl($this->item->payment_serial_number, 'payment_serial_number', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTNUMBER_TITLE', 'COM_XTDIR_VIEW_PROMOORDER_PAYMENTNUMBER_DESC');

					?>

						</fieldset>

					</div>

				</div>

			</div>
		</form>
	</div>
</div>
