<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$sections = $this->input->get('sections');

if (empty($sections))
{
	$msg = 'Empty sections, or not enough levels.';

	$logger = XtdirLogger::getInstance();
	$logger->log(JLog::ERROR, $msg);

	return false;
}

$buffer = array();

foreach ($sections as $section)
{
	$spSection = SobiproHelper::loadAndExtend($section);
	$title = $spSection->get('name');

	$count = $this->input->get('count');
	$start_level = $this->input->get('start_level');
	$end_level = $this->input->get('end_level');

	$list = CategoriesHelper::getListNLevel(
		$section,
		$start_level,
		$end_level,
		$count,
		$this->input->get('query_order'),
		$this->input->get('require_stats')
	);

	if ((empty($list)) || (!array_key_exists($section, $list)))
	{
		continue;
	}

	$totals = CategoriesHelper::sortCategories(
			$list,
			$section,
			$this->input->get('counter_type'),
			$this->input->get('hide_empty'),
			$start_level,
			$end_level,
			$count
	);

	if ((empty($totals)) || (!array_key_exists($section, $totals)))
	{
		continue;
	}

	$totals = $totals[$section];

	if (empty($totals))
	{
		continue;
	}

	$legend_position = $this->input->get('legend_position', 'none');

	include $this->getLayout() . '-layout.php';

	echo '<div id="' . $chartId . '"></div>';

	$show_total_entries = $this->input->get('show_total_entries');
	$show_total_catsentries = $this->input->get('show_total_catsentries');

	if (($show_total_entries) || ($show_total_catsentries))
	{
		echo '<table class="table">';

		if ($show_total_entries)
		{
			$total = StatsHelper::getEntriesStats($section);
			echo '<tr><td>' . JText::_('COM_XTDIR_MOD_TOTALENTRIES_LABEL') . '</td><td>' . number_format($total) . '</td></tr>';
		}

		if ($show_total_catsentries)
		{
			$total = StatsHelper::getEntriesCatsStats($section);
			echo '<tr><td>' . JText::_('COM_XTDIR_MOD_TOTALENTRIESCATS_LABEL') . '</td><td>' . number_format($total) . '</td></tr>';
		}

		echo '</table>';
	}
}

if (!empty($buffer))
{
	$document = JFactory::getDocument();
	$document->addScript('https://www.google.com/jsapi');
	$document->addScriptDeclaration(implode("\n", $buffer));
}
