<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
<div class="well estatus">

	<div class="alert"><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_INFORMATION'); ?></div>

	<legend><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEX'); ?></legend>

	<div class="pull-right">
		<a class="btn" href="index.php?option=com_xtdir&view=trees"><i class="xticon xticon-sitemap"></i> Browse tree index</a>
	</div>

	<dl class="dl-horizontal">

		<dt><?php
			echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEX_STATS');
		?></dt>
		<dd><?php
			echo number_format($this->total);
		?></dd>

		<dt><?php
			echo JText::_('COM_XTDIR_VIEW_SYSTEM_INDEXLIMIT_LABEL');
		?></dt>
		<dd><?php
			$index_limit = EExtensionHelper::getExtensionParam('system', 'xtdir', 'index_limit', 1000);
			echo number_format($index_limit);
		?></dd>

		<?php
		if ($this->total)
		{
		?>
		<dt><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_LAST_UPDATE'); ?></dt>
		<dd><?php

			echo JHtml::_('date', $this->last_update, 'COM_XTDIR_DATE_FORMAT');

		?></dd>
		<?php
		}
		?>
	</dl>

	<div class="<?php echo (XTDIR_PROMOTED_ENTRIES ? '' : 'hide'); ?>">

		<legend><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_PROMOTED'); ?></legend>

		<dl class="dl-horizontal">
			<dt><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_PROMOENTRIES_STATS'); ?></dt>
			<dd><?php
			echo number_format($this->total_promoentries);
			?></dd>

			<dt><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_CATEGORY_PROMOTION_STATS'); ?></dt>
			<dd><?php
			echo number_format($this->total_category_promotion);
			?></dd>

			<dt><?php echo JText::_('COM_XTDIR_VIEW_SYSTEM_SECTION_PROMOTION_STATS'); ?></dt>
			<dd><?php
			echo number_format($this->total_section_promotion);
			?></dd>

		</dl>
	</div>

	<legend><?php echo JText::_('COM_CONFIG_CACHE_SETTINGS'); ?></legend>

	<dl class="dl-horizontal">
		<dt><?php echo JText::_('COM_CONFIG_FIELD_CACHE_LABEL'); ?></dt>
		<dd><span class="label <?php
			echo $this->get('cache_class');
		?>"><?php
			echo JText::_($this->get('cache_label'));
		?></span></dd>

		<dt><?php echo JText::_('COM_CONFIG_FIELD_CACHE_TIME_LABEL'); ?></dt>
		<dd><?php echo JText::_($this->get('cache_time')); ?> min</dd>
	</dl>

</div>