<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
$this->loadHelper('grid');

?>
<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form-horizontal">

			<div class="row-fluid">
				<div class="span12">

					<input type="hidden" name="option" id="option" value="com_xtdir" />
					<input type="hidden" name="view" id="view" value="trees" />
					<input type="hidden" name="task" id="task" value="browse" />
					<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
					<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
					<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
					<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
					<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

					<table class="adminlist table table-striped" id="itemsList">
						<thead>
							<tr>
								<th><?php echo JHTML::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 't.id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_VIEW_ID_PARENT_TITLE', 't.parent', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_VIEW_ID_SECTION_TITLE', 't.section', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_VIEW_ID_PATH_TITLE', 'path', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_VIEW_ID_LASTUPDATE_TITLE', 'last_update', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>
							</tr>

							<tr>
								<td class="form-inline" style="white-space: nowrap">
									<div class="input-append">
										<input type="text" name="id" id="search" value="<?php echo $this->escape($this->getModel()->getState('id'));?>" class="input-medium" onchange="document.adminForm.submit();"
											placeholder="<?php echo JText::_('JSEARCH_FILTER_SUBMIT') ?>"/>
										<button class="btn" onclick="this.adminForm.submit();">
											<?php echo JText::_('COM_XTDIR_FILTER_SUBMIT'); ?>
										</button>
										<img src="<?php echo $this->get('blankImage'); ?>" height="20">
									</div>

									<a class="xtd-btn-reset"><small><?php echo JText::_('COM_XTDIR_RESET'); ?></small></a>
								</td>

								<td>
									<input type="text" name="parent" id="parent" value="<?php echo $this->escape($this->getModel()->getState('parent'));?>" class="input-medium" onchange="document.adminForm.submit();" />
								</td>

								<td>
									<input type="text" name="section" id="section" value="<?php echo $this->escape($this->getModel()->getState('section'));?>" class="input-medium" onchange="document.adminForm.submit();" />
								</td>

								<td>
									<input type="path" name="path" id="path" value="<?php echo $this->escape($this->getModel()->getState('path'));?>" class="input-medium" onchange="document.adminForm.submit();" />
								</td>

								<td>
								</td>
							</tr>
						</thead>
						<tfoot>
							<tr>
								<td colspan="20"><?php
								EHtml::renderPagination($this);
								?>
								</td>
							</tr>
						</tfoot>
						<tbody>
							<?php
							if ($count = count($this->items))
							{
								?>
							<?php
							$i = 0;
							$m = 1;

							foreach ($this->items as $item)
							{
								$m = 1 - $m;

								?>
							<tr class="row<?php echo $m?>">

								<td><?php

								echo '<a href="index.php?option=com_sobipro&task=entry.edit&sid=' . $item->id . '&pid=' . $item->parent . '">';
								echo $item->id;

								$entry = SobiproHelper::loadAndExtend($item->id);
								echo ' - ' . $entry->get('name');
								echo '</a>';

								?>
								</td>

								<td><?php

								echo '<a href="index.php?option=com_sobipro&task=category.edit&sid=' . $item->parent . '">';
								echo $item->parent;
								$object = SobiproHelper::loadAndExtend($item->parent);

								if (isset($object->name))
								{
									echo ' - ' . ucfirst($object->oType) . ' / ' . $object->name;
								}

								echo '</a>';

								?>
								</td>

								<td><?php

								echo '<a href="index.php?option=com_sobipro&sid=' . $item->parent . '">';
								echo $item->section;
								$section = SobiproHelper::loadAndExtend($item->section);

								if (isset($section->name))
								{
									echo ' - ' . $section->name;
								}

								echo '</a>';

								?>
								</td>

								<td><?php
								echo $item->path;
								?>
								</td>

								<td><?php
								echo JHtml::_('date', $item->last_update, JText::_('COM_XTDIR_DATE_FORMAT'));
								?>
								</td>

							</tr>
							<?php
								$i++;
							}

							?>
							<?php
							}
							else
							{
								?>
							<tr>
								<td colspan="10" align="center"><?php echo JText::_('COM_XTDIR_COMMON_NOITEM_LABEL') ?></td>
							</tr>
							<?php
							}
							?>
						</tbody>
					</table>
				</div>
			</div>

		</form>

	</div>
</div>
