/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A.
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

define('promoentry', [], function() {
	"use strict";

	var PromocategoryView = Backbone.View.extend({

		events : {
			'change #category_id' : 'onChangeCategory',
			'click .entries-action' : 'gotoEntries'
		},

		initialize : function() {
			this.onChangeCategory();

			this.$('.category-actions .btn').click(function(e) {
				e.preventDefault();
			});
		},

		onChangeCategory: function() {
			var category_id = this.$('#category_id').val();

			if (category_id) {
				this.$('.entries-action .btn').removeClass('disabled').removeAttr('disabled');
			} else {
				this.$('.entries-action .btn').addClass('disabled').attr('disabled', 'disabled');
			}
		},

		gotoEntries: function() {
			var promocategory_id = this.$('#promocategory_id').val();
			if (promocategory_id) {
				window.location = 'index.php?option=com_xtdir&view=promoentries&promocategory_id=' 
					+ promocategory_id;
			}
		}

	}),

	promocategoryView = new PromocategoryView({
		el : jQuery('#adminForm')
	});

});