/**
 * @package Extly.Modules
 * @subpackage mod_xtd_extendedsearchj - Extended Search for Joomla-SobiPro
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

define('xtdcategorieschained', [ 'extlycore', 'xtdhelper' ], 
	function(Core, XtdHelper) {
	"use strict";
	
	var ExtSearchView = Backbone.View.extend({
		
		events : {
			'change .sid_list' : 'onChange'
		},

		initialize : function() {
			XtdHelper.UiHelper.initChainedCategories(this);
		},
		
		onChange: function(e) {
			var $el = this.$(e.currentTarget), v, childs, option;
			
			if (e.originalEvent) {
				v = $el.val();
				childs = this.$('.' + v);
				if (_.size(childs) === 0)
				{
					option = $el.find(':selected');
					window.location = option.attr('data-href');
				}
			}				
		}
		
	});
	
	// Just to be sure
	jQuery(document).ready(function() {
		var forms = jQuery('.xtdcategorieschained');
		_.each(forms, function(form)
				{
					var extSearchView = new ExtSearchView({el : form});
				});
	});

});