/**
 * @package     Extly.Modules
 * @subpackage  mod_xtd_extendedsearchj - Extended Search for Joomla-SobiPro
 *
 * @author      Prieco S.A.
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

define('xtdsearchj', [ 'extlycore', 'xtdhelper' ], 
	function (Core, XtdHelper) {
	"use strict";
	
	var ExtSearchView = Backbone.View.extend({
		
		events : {
			'click .xtdsearchjButton' : 'onSearchSubmit',
			'click .xtdResetButton' : 'onSearchReset'
		},

		initialize : function() {
			
			// Disable submit button default click
			this.$('.xtdsearchjButton').click(function(e) {
				e.preventDefault();
			});

			this.$form = this.$('form');
			
			XtdHelper.UiHelper.initChainedCategories(this, this.$form.attr("id"));
			
			if (this.$form.xtautosave) {
				this.$form.xtautosave();
			}
		},
		
		onSearchSubmit: function() {
			var category = this.$('.xtdcategory'),
				categories = this.$('.sid_list option:selected'),
				allFields, query, v;
			
			allFields = this.$('.search-query')
							.add('.xtdselect option:selected')
							.add('.xtdchbxgroup:checked')
							.add('.xtdradio:checked');
			allFields = _.filter(allFields, function(e) {
				return ((e.value) && (e.value !== ''));
			});
			
			query = _.reduce(allFields, function(memo, f){
				var v = f.value;
				return (memo === '') ? v : memo + ' ' + v;
			}, '');
			
			if (_.isString(query))
			{
				query = query.replace(',', ' ');

				// Category - SobiPro Layout
				if ( (category.length !== 0) && (!_.isEmpty(v = category.val())) )
				{
					query = query + ' c:' + v;
				}
				
				// Categories
				if (!_.isEmpty(categories))
				{
					categories = _.filter(categories, function(f) {
						return (!_.isEmpty(f.value));
					});
					
					v = _.last(categories);
					if (_.isObject(v)) {
						v = v.value;
					}
					
					if ((_.isString(v)) && (v.startsWith('spc'))) {
						v = v.replace('spc', '');	
						query = query + ' c:' + v;	
					}						
				}
				
				if (query === '')
				{						
					query = this.$('.default_query').val();
				}					

				this.$('.searchword').val(query);
				
				this.$form.submit();
			}				
		},
		
		onSearchReset: function() {
			this.$('form')[0].reset();
			this.$('.sid_list1').trigger('change');
			
			return false;
		}
		
	});
	
	// Just to be sure
	jQuery(document).ready(function() {
		var forms = jQuery('.xtdsearchj');
		_.each(forms, function(form)
				{
					var extSearchView = new ExtSearchView({el : form}),
						autocompleteView = new XtdHelper.AutocompleteView({el : form});
				});
	});

});