<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

// Check for component
if (!JComponentHelper::getComponent('com_community', true)->enabled)
{
	if (JError::$legacy)
	{
		JError::raiseWarning('5', 'PlgCommunityXtdsobipromyentries - JomSocial Component is not installed or not enabled.');
	}
	else
	{
		JFactory::getApplication()->enqueueMessage('PlgCommunityXtdsobipromyentries - JomSocial Component is not installed or not enabled.', 'warning');
	}

	return;
}

// Check for component
if (!JComponentHelper::getComponent('com_sobipro', true)->enabled)
{
	if (JError::$legacy)
	{
		JError::raiseWarning('5', 'SobiPro Component is not installed or not enabled.');
	}
	else
	{
		JFactory::getApplication()->enqueueMessage('SobiPro Component is not installed or not enabled.', 'warning');
	}

	return;
}

include_once JPATH_BASE . '/components/com_community/libraries/core.php';

/**
 * PlgCommunityXtdsobipromyentries class.
 *
 * @package     Extly.Plugins
 * @subpackage  plg_xtdsobipromyentries
 * @since       1.0
 */
class PlgCommunityXtdsobipromyentries extends CApplications
{
	protected $name = 'Xtdsobipromyentries';

	public $_name = 'xtdsobipromyentries';

	private $_layout = null;

	private $_imagefield_id = null;

	private $_descfield_id = null;

	private $_limit = null;

	private $_catalog_list = null;

	private $_menu_itemid = null;

	private $_logger = null;

	/**
	 * Constructor.
	 *
	 * @param   string  &$subject  Params
	 * @param   array   $config    Params
	 *
	 * @since	1.5
	 */
	public function plgCommunityXtdsobipromyentries(&$subject, $config)
	{
		parent::__construct($subject, $config);

		$this->loadLanguage();

		$this->_coreapp = $this->params->def('coreapp', 1);
		$this->_position = $this->params->def('position', 'content');

		$this->_layout = $this->params->def('layout', 0);
		$this->_imagefield_id = $this->params->def('imagefield_id', null);
		$this->_descfield_id = $this->params->def('descfield_id', null);

		$this->_limit = $this->params->def('count', 10);
		$this->_catalog_list = $this->params->def('catalog_list', null);

		$this->_menu_itemid = $this->params->def('menu_itemid', null);
		$this->_menu_itemid = trim($this->_menu_itemid);
	}

	/**
	 * onProfileDisplay.
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function onProfileDisplay()
	{
		include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/xtdirapi.php';

		$input = array(
						'limit' => $this->_limit,
						'limitstart' => 0,
						'no_clear' => true,
						'only_once' => true,
						'task' => 'browse',
						'enabled' => 1,
						'caching' => false,
						'catalog_list' => $this->_catalog_list,
						'menu_itemid' => $this->_menu_itemid,

						// JomSocial Profile
						'user_mode' => 1
		);

		if ($this->_imagefield_id)
		{
			$input['imagefield_id'] = $this->_imagefield_id;
		}

		if ($this->_descfield_id)
		{
			$input['descfield_id'] = $this->_descfield_id;
		}

		$config = array(
						'option' => 'com_xtdir',
						'view' => 'myentries',
						'input' => $input
		);

		if ($this->_layout)
		{
			$config['layout'] = 'vcard';
		}

		ob_start();
		FOFDispatcher::getTmpInstance('com_xtdir', 'myentries', $config)->dispatch();
		$html = ob_get_contents();
		ob_end_clean();

		return $html;
	}
}
